ElementImpl (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.impl.xs.opti

## Class ElementImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.opti.DefaultNode
  - - org.apache.xerces.impl.xs.opti.NodeImpl
    - - org.apache.xerces.impl.xs.opti.DefaultElement
      - - org.apache.xerces.impl.xs.opti.ElementImpl

- All Implemented Interfaces:
    org.w3c.dom.Element, org.w3c.dom.Node

      public class ElementImpl
      extends DefaultElement

  Version:
    $Id: ElementImpl.java 779171 2009-05-27 13:42:33Z mrglavas $
  Author:
    Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementImpl(int line, int column)`
    `ElementImpl(int line, int column, int offset)`
    `ElementImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, int line, int column)`
    `ElementImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, int line, int column, int offset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotation()`
    `java.lang.String` | `getAttribute(java.lang.String name)` Retrieves an attribute value by name.
    `org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)` Retrieves an attribute node by name.
    `org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves an `Attr` node by local name and namespace URI.
    `java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves an attribute value by local name and namespace URI.
    `org.w3c.dom.NamedNodeMap` | `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
    `int` | `getCharacterOffset()` Returns the character offset.
    `int` | `getColumnNumber()` Returns the column number.
    `org.w3c.dom.Node` | `getFirstChild()` The first child of this node.
    `org.w3c.dom.Node` | `getLastChild()` The last child of this node.
    `int` | `getLineNumber()` Returns the line number.
    `org.w3c.dom.Node` | `getNextSibling()` The node immediately following this node.
    `org.w3c.dom.Document` | `getOwnerDocument()` The `Document` object associated with this node.
    `org.w3c.dom.Node` | `getParentNode()` The parent of this node.
    `org.w3c.dom.Node` | `getPreviousSibling()` The node immediately preceding this node.
    `java.lang.String` | `getSyntheticAnnotation()`
    `java.lang.String` | `getTagName()` The name of the element.
    `boolean` | `hasAttribute(java.lang.String name)` Returns `true` when an attribute with a given name is specified on this element or has a default value, `false` otherwise.
    `boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Returns `true` when an attribute with a given local name and namespace URI is specified on this element or has a default value, `false` otherwise.
    `boolean` | `hasAttributes()` Returns whether this node (if it is an element) has any attributes.
    `boolean` | `hasChildNodes()` Returns whether this node has any children.
    `void` | `setAttribute(java.lang.String name, java.lang.String value)` Adds a new attribute.

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultElement

      `getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, removeAttribute, removeAttributeNode, removeAttributeNS, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl

      `getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly, toString`

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode

      `appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getNodeValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### ElementImpl

          public ElementImpl(int line,
                     int column,
                     int offset)

    - #### ElementImpl

          public ElementImpl(int line,
                     int column)

    - #### ElementImpl

          public ElementImpl(java.lang.String prefix,
                     java.lang.String localpart,
                     java.lang.String rawname,
                     java.lang.String uri,
                     int line,
                     int column,
                     int offset)

    - #### ElementImpl

          public ElementImpl(java.lang.String prefix,
                     java.lang.String localpart,
                     java.lang.String rawname,
                     java.lang.String uri,
                     int line,
                     int column)

  - ### Method Detail

    - #### getOwnerDocument

          public org.w3c.dom.Document getOwnerDocument()

      Description copied from interface: `org.w3c.dom.Node`
      The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` or a `DocumentType` which is not used with any `Document` yet, this is `null`.
      Specified by:
        `getOwnerDocument` in interface `org.w3c.dom.Node`
      Overrides:
        `getOwnerDocument` in class `DefaultNode`

    - #### getParentNode

          public org.w3c.dom.Node getParentNode()

      Description copied from interface: `org.w3c.dom.Node`
      The parent of this node. All nodes, except `Attr`, `Document`, `DocumentFragment`, `Entity`, and `Notation` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.
      Specified by:
        `getParentNode` in interface `org.w3c.dom.Node`
      Overrides:
        `getParentNode` in class `DefaultNode`

    - #### hasChildNodes

          public boolean hasChildNodes()

      Description copied from interface: `org.w3c.dom.Node`
      Returns whether this node has any children.
      Specified by:
        `hasChildNodes` in interface `org.w3c.dom.Node`
      Overrides:
        `hasChildNodes` in class `DefaultNode`
      Returns:
        Returns `true` if this node has any children, `false` otherwise.

    - #### getFirstChild

          public org.w3c.dom.Node getFirstChild()

      Description copied from interface: `org.w3c.dom.Node`
      The first child of this node. If there is no such node, this returns `null`.
      Specified by:
        `getFirstChild` in interface `org.w3c.dom.Node`
      Overrides:
        `getFirstChild` in class `DefaultNode`

    - #### getLastChild

          public org.w3c.dom.Node getLastChild()

      Description copied from interface: `org.w3c.dom.Node`
      The last child of this node. If there is no such node, this returns `null`.
      Specified by:
        `getLastChild` in interface `org.w3c.dom.Node`
      Overrides:
        `getLastChild` in class `DefaultNode`

    - #### getPreviousSibling

          public org.w3c.dom.Node getPreviousSibling()

      Description copied from interface: `org.w3c.dom.Node`
      The node immediately preceding this node. If there is no such node, this returns `null`.
      Specified by:
        `getPreviousSibling` in interface `org.w3c.dom.Node`
      Overrides:
        `getPreviousSibling` in class `DefaultNode`

    - #### getNextSibling

          public org.w3c.dom.Node getNextSibling()

      Description copied from interface: `org.w3c.dom.Node`
      The node immediately following this node. If there is no such node, this returns `null`.
      Specified by:
        `getNextSibling` in interface `org.w3c.dom.Node`
      Overrides:
        `getNextSibling` in class `DefaultNode`

    - #### getAttributes

          public org.w3c.dom.NamedNodeMap getAttributes()

      Description copied from interface: `org.w3c.dom.Node`
      A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
      Specified by:
        `getAttributes` in interface `org.w3c.dom.Node`
      Overrides:
        `getAttributes` in class `DefaultNode`

    - #### hasAttributes

          public boolean hasAttributes()

      Description copied from interface: `org.w3c.dom.Node`
      Returns whether this node (if it is an element) has any attributes.
      Specified by:
        `hasAttributes` in interface `org.w3c.dom.Node`
      Overrides:
        `hasAttributes` in class `DefaultNode`
      Returns:
        Returns `true` if this node has any attributes, `false` otherwise.

    - #### getTagName

          public java.lang.String getTagName()

      Description copied from interface: `org.w3c.dom.Element`
      The name of the element. If `Node.localName` is different from `null`, this attribute is a qualified name. For example, in:

           <elementExample id="demo"> ...
           </elementExample> ,

      `tagName` has the value `"elementExample"`. Note that this is case-preserving in XML, as are all of the operations of the DOM. The HTML DOM returns the `tagName` of an HTML element in the canonical uppercase form, regardless of the case in the source HTML document.
      Specified by:
        `getTagName` in interface `org.w3c.dom.Element`
      Overrides:
        `getTagName` in class `DefaultElement`

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name)

      Description copied from interface: `org.w3c.dom.Element`
      Retrieves an attribute value by name.
      Specified by:
        `getAttribute` in interface `org.w3c.dom.Element`
      Overrides:
        `getAttribute` in class `DefaultElement`
      Parameters:
        `name` - The name of the attribute to retrieve.
      Returns:
        The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

    - #### getAttributeNode

          public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

      Description copied from interface: `org.w3c.dom.Element`
      Retrieves an attribute node by name.
      To retrieve an attribute node by qualified name and namespace URI, use the `getAttributeNodeNS` method.
      Specified by:
        `getAttributeNode` in interface `org.w3c.dom.Element`
      Overrides:
        `getAttributeNode` in class `DefaultElement`
      Parameters:
        `name` - The name (`nodeName`) of the attribute to retrieve.
      Returns:
        The `Attr` node with the specified name ( `nodeName`) or `null` if there is no such attribute.

    - #### getAttributeNS

          public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                        java.lang.String localName)

      Description copied from interface: `org.w3c.dom.Element`
      Retrieves an attribute value by local name and namespace URI.
      Per [XML Namespaces] , applications must use the value `null` as the `namespaceURI` parameter for methods if they wish to have no namespace.
      Specified by:
        `getAttributeNS` in interface `org.w3c.dom.Element`
      Overrides:
        `getAttributeNS` in class `DefaultElement`
      Parameters:
        `namespaceURI` - The namespace URI of the attribute to retrieve.
        `localName` - The local name of the attribute to retrieve.
      Returns:
        The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

    - #### getAttributeNodeNS

          public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                            java.lang.String localName)

      Description copied from interface: `org.w3c.dom.Element`
      Retrieves an `Attr` node by local name and namespace URI.
      Per [XML Namespaces] , applications must use the value `null` as the `namespaceURI` parameter for methods if they wish to have no namespace.
      Specified by:
        `getAttributeNodeNS` in interface `org.w3c.dom.Element`
      Overrides:
        `getAttributeNodeNS` in class `DefaultElement`
      Parameters:
        `namespaceURI` - The namespace URI of the attribute to retrieve.
        `localName` - The local name of the attribute to retrieve.
      Returns:
        The `Attr` node with the specified attribute local name and namespace URI or `null` if there is no such attribute.

    - #### hasAttribute

          public boolean hasAttribute(java.lang.String name)

      Description copied from interface: `org.w3c.dom.Element`
      Returns `true` when an attribute with a given name is specified on this element or has a default value, `false` otherwise.
      Specified by:
        `hasAttribute` in interface `org.w3c.dom.Element`
      Overrides:
        `hasAttribute` in class `DefaultElement`
      Parameters:
        `name` - The name of the attribute to look for.
      Returns:
        `true` if an attribute with the given name is specified on this element or has a default value, `false` otherwise.

    - #### hasAttributeNS

          public boolean hasAttributeNS(java.lang.String namespaceURI,
                               java.lang.String localName)

      Description copied from interface: `org.w3c.dom.Element`
      Returns `true` when an attribute with a given local name and namespace URI is specified on this element or has a default value, `false` otherwise.
      Per [XML Namespaces] , applications must use the value `null` as the `namespaceURI` parameter for methods if they wish to have no namespace.
      Specified by:
        `hasAttributeNS` in interface `org.w3c.dom.Element`
      Overrides:
        `hasAttributeNS` in class `DefaultElement`
      Parameters:
        `namespaceURI` - The namespace URI of the attribute to look for.
        `localName` - The local name of the attribute to look for.
      Returns:
        `true` if an attribute with the given local name and namespace URI is specified or has a default value on this element, `false` otherwise.

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                          java.lang.String value)

      Description copied from interface: `org.w3c.dom.Element`
      Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter. This value is a simple string; it is not parsed as it is being set. So any markup (such as syntax to be recognized as an entity reference) is treated as literal text, and needs to be appropriately escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create an `Attr` node plus any `Text` and `EntityReference` nodes, build the appropriate subtree, and use `setAttributeNode` to assign it as the value of an attribute.
      To set an attribute with a qualified name and namespace URI, use the `setAttributeNS` method.
      Specified by:
        `setAttribute` in interface `org.w3c.dom.Element`
      Overrides:
        `setAttribute` in class `DefaultElement`
      Parameters:
        `name` - The name of the attribute to create or alter.
        `value` - Value to set in string form.

    - #### getLineNumber

          public int getLineNumber()

      Returns the line number.

    - #### getColumnNumber

          public int getColumnNumber()

      Returns the column number.

    - #### getCharacterOffset

          public int getCharacterOffset()

      Returns the character offset.

    - #### getAnnotation

          public java.lang.String getAnnotation()

    - #### getSyntheticAnnotation

          public java.lang.String getSyntheticAnnotation()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.